<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – How To Determine a Cacti Template Version</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <style type="text/css">
a.sourceLine { display: inline-block; line-height: 1.25; }
a.sourceLine { pointer-events: none; color: inherit; text-decoration: inherit; }
a.sourceLine:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode { white-space: pre; position: relative; }
div.sourceCode { margin: 1em 0; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
code.sourceCode { white-space: pre-wrap; }
a.sourceLine { text-indent: -1em; padding-left: 1em; }
}
pre.numberSource a.sourceLine
  { position: relative; left: -4em; }
pre.numberSource a.sourceLine::before
  { content: attr(title);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; pointer-events: all; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
    color: #aaaaaa;
  }
pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
div.sourceCode
  {  }
@media screen {
a.sourceLine::before { text-decoration: underline; }
}
code span.al { color: #ff0000; font-weight: bold; } /* Alert */
code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
code span.at { color: #7d9029; } /* Attribute */
code span.bn { color: #40a070; } /* BaseN */
code span.bu { } /* BuiltIn */
code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
code span.ch { color: #4070a0; } /* Char */
code span.cn { color: #880000; } /* Constant */
code span.co { color: #60a0b0; font-style: italic; } /* Comment */
code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
code span.do { color: #ba2121; font-style: italic; } /* Documentation */
code span.dt { color: #902000; } /* DataType */
code span.dv { color: #40a070; } /* DecVal */
code span.er { color: #ff0000; font-weight: bold; } /* Error */
code span.ex { } /* Extension */
code span.fl { color: #40a070; } /* Float */
code span.fu { color: #06287e; } /* Function */
code span.im { } /* Import */
code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
code span.kw { color: #007020; font-weight: bold; } /* Keyword */
code span.op { color: #666666; } /* Operator */
code span.ot { color: #007020; } /* Other */
code span.pp { color: #bc7a00; } /* Preprocessor */
code span.sc { color: #4070a0; } /* SpecialChar */
code span.ss { color: #bb6688; } /* SpecialString */
code span.st { color: #4070a0; } /* String */
code span.va { color: #19177c; } /* Variable */
code span.vs { color: #4070a0; } /* VerbatimString */
code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="how-to-determine-a-cacti-template-version">How To Determine a Cacti Template Version</h1>
<p>Users are often bewildered when they are unable to import templates found on the forum and presented with the error, <strong>Error: XML: Hash version does not exist</strong>. Cacti prevents templates that have been exported on new versions back to older versions for compatibility. Quickly looking inside a XML template, it's not very clear how to determine what version it was created on. There IS a reason to the madness -- the hash!</p>
<p>Take the following example: <code>&lt;hash_04**0018**258d1c9487a6c58dd804f4a012007664&gt;</code> The first 2 digits are the type of the template. The next 4 digits are the Cacti version it was created on. The next 32 digits are a random number.</p>
<h2 id="list-of-versions">List of Versions</h2>
<div class="sourceCode" id="cb1"><pre class="sourceCode php"><code class="sourceCode php"><a class="sourceLine" id="cb1-1" title="1"><span class="st">&quot;0.8.4&quot;</span>  =&gt; <span class="st">&quot;0000&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-2" title="2"><span class="st">&quot;0.8.5&quot;</span>  =&gt; <span class="st">&quot;0001&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-3" title="3"><span class="st">&quot;0.8.5a&quot;</span> =&gt; <span class="st">&quot;0002&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-4" title="4"><span class="st">&quot;0.8.6&quot;</span>  =&gt; <span class="st">&quot;0003&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-5" title="5"><span class="st">&quot;0.8.6a&quot;</span> =&gt; <span class="st">&quot;0004&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-6" title="6"><span class="st">&quot;0.8.6b&quot;</span> =&gt; <span class="st">&quot;0005&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-7" title="7"><span class="st">&quot;0.8.6c&quot;</span> =&gt; <span class="st">&quot;0006&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-8" title="8"><span class="st">&quot;0.8.6d&quot;</span> =&gt; <span class="st">&quot;0007&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-9" title="9"><span class="st">&quot;0.8.6e&quot;</span> =&gt; <span class="st">&quot;0008&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-10" title="10"><span class="st">&quot;0.8.6f&quot;</span> =&gt; <span class="st">&quot;0009&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-11" title="11"><span class="st">&quot;0.8.6g&quot;</span> =&gt; <span class="st">&quot;0010&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-12" title="12"><span class="st">&quot;0.8.6h&quot;</span> =&gt; <span class="st">&quot;0011&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-13" title="13"><span class="st">&quot;0.8.6i&quot;</span> =&gt; <span class="st">&quot;0012&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-14" title="14"><span class="st">&quot;0.8.6j&quot;</span> =&gt; <span class="st">&quot;0013&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-15" title="15"><span class="st">&quot;0.8.7&quot;</span>  =&gt; <span class="st">&quot;0014&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-16" title="16"><span class="st">&quot;0.8.7a&quot;</span> =&gt; <span class="st">&quot;0015&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-17" title="17"><span class="st">&quot;0.8.7b&quot;</span> =&gt; <span class="st">&quot;0016&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-18" title="18"><span class="st">&quot;0.8.7c&quot;</span> =&gt; <span class="st">&quot;0017&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-19" title="19"><span class="st">&quot;0.8.7d&quot;</span> =&gt; <span class="st">&quot;0018&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-20" title="20"><span class="st">&quot;0.8.7e&quot;</span> =&gt; <span class="st">&quot;0019&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-21" title="21"><span class="st">&quot;0.8.7f&quot;</span> =&gt; <span class="st">&quot;0020&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-22" title="22"><span class="st">&quot;0.8.7g&quot;</span> =&gt; <span class="st">&quot;0021&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-23" title="23"><span class="st">&quot;0.8.7h&quot;</span> =&gt; <span class="st">&quot;0022&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-24" title="24"><span class="st">&quot;0.8.7i&quot;</span> =&gt; <span class="st">&quot;0023&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-25" title="25"><span class="st">&quot;0.8.8&quot;</span>  =&gt; <span class="st">&quot;0024&quot;</span><span class="ot">,</span></a>
<a class="sourceLine" id="cb1-26" title="26"><span class="st">&quot;0.8.8a&quot;</span> =&gt; <span class="st">&quot;0024&quot;</span></a></code></pre></div>
<p>For the example above, this template was exported with Cacti 0.8.7d.</p>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
